package com.jiayue.ipfcst.common.data.constant.enums;

/**
 * 测风塔数据或者 气象站数据的异常码
 *
 * @author xiuwei
 * @date 2021/10/18
 */
public enum AbnormalCode {

    /**
     * 正常的
     */
    NORMAL,
    /**
     * 10米死值
     */
    DEAD10,
    /**
     * 10米空值
     */
    NULL10,
    /**
     * 30米死值
     */
    DEAD30,
    /**
     * 30米空值
     */
    NULL30,
    /**
     * 50米死值
     */
    DEAD50,
    /**
     * 50米空值
     */
    NULL50,
    /**
     * 60米死值
     */
    DEAD60,
    /**
     * 60米空值
     */
    NULL60,
    /**
     * 70米死值
     */
    DEAD70,
    /**
     * 70米空值
     */
    NULL70,
    /**
     * 80米死值
     */
    DEAD80,
    /**
     * 80米空值
     */
    NULL80,
    /**
     * 90米死值
     */
    DEAD90,
    /**
     * 90米空值
     */
    NULL90,
    /**
     * 100米死值
     */
    DEAD100,
    /**
     * 100米空值
     */
    NULL100,
    /**
     * HUB米死值
     */
    DEADHUB,

    NULL,
    DEAD,
    BOTH,

    /**
     * HUB米空值
     */
    NULLHUB;


    public  String getErrInfo() {
        switch (this) {
            case NULL10:
                return "10米风速空值";
            case DEAD10:
                return "10米风速死值";
            case NULL30:
                return "30米风速空值";
            case DEAD30:
                return "30米风速死值";
            case NULL50:
                return "50米风速空值";
            case DEAD50:
                return "50米风速死值";
            case NULL60:
                return "60米风速空值";
            case DEAD60:
                return "60米风速死值";
            case NULL70:
                return "70米风速空值";
            case DEAD70:
                return "70米风速死值";
            case NULL80:
                return "80米风速空值";
            case DEAD80:
                return "80米风速死值";
            case NULL90:
                return "90米风速空值";
            case DEAD90:
                return "90米风速死值";
            case NULL100:
                return "100米风速空值";
            case DEAD100:
                return "100米风速死值";
            case NULLHUB:
                return "轮毂高风速空值";
            case DEADHUB:
                return "轮毂高风速死值";
            case NORMAL:
                return "数据正常";
        }
        return "";
    }

}
